package org.nstart.dep265.tletools.zeptomoby.core.eci

import org.nstart.dep265.tletools.zeptomoby.core.Julian
import org.nstart.dep265.tletools.zeptomoby.core.Vector
import org.nstart.dep265.tletools.zeptomoby.core.coord.Geo
import org.nstart.dep265.tletools.zeptomoby.core.coord.GeoTime

@Suppress("unused")
class EciTime: Eci {

    constructor(eci: Eci, d: Julian): super(eci.position, eci.velocity) {
        date = d
    }

    constructor(pos: Vector, vel: Vector, d: Julian): super(pos, vel) {
        date = d
    }

    constructor(geo: Geo, d: Julian): super(geo, d) {
        date = d
    }

    constructor(geo: GeoTime): super(geo, geo.date) {
        date = geo.date
    }

    val date: Julian
}